FROM node:16-alpine
# Installing libvips-dev for sharp Compatibility
RUN apk update && apk add --no-cache build-base gcc autoconf automake zlib-dev libpng-dev nasm bash vips-dev
ARG NODE_ENV=development
ENV NODE_ENV=${NODE_ENV}

WORKDIR /projects/
COPY package.json package-lock.json ./
RUN npm config set network-timeout 600000 -g && npm install
ENV PATH /projects/node_modules/.bin:$PATH

WORKDIR /projects/app
COPY . .
RUN chown -R node:node /projects/app
USER node
RUN ["npm", "run", "build"]
EXPOSE 1337
CMD ["npm", "run", "develop"]